<div [hidden]="!hideGuessButton">
    <mat-grid-list cols="2" rowHeight="2:1" style="padding-top: 30px;">
        <mat-grid-tile>
            <div class="tile-blue" style="display: flex; justify-content: center; margin-left: 100px;">
                <img [src]="sprite$|async" [hidden]="!(sprite$|async)" style="filter: brightness(0)" height="50%" alt="">
            </div>
        </mat-grid-tile>
        <mat-grid-tile style="margin-left:-100px;">
            <img src="assets/images/logo.png" height="80%">
        </mat-grid-tile>
        <mat-grid-tile [colspan]="2">
            <mat-card class="card">
                <div style="display: flex; flex-direction: row; justify-content: space-between;">
                    <div>
                        <div style="display:flex; flex-direction:row;">
                            <form class="form">
                                <mat-form-field class="full-width" appearance="fill">
                                    <mat-label style="font-size: 12; align-self: center;">Make your guess</mat-label>
                                    <input type="text" placeholder="Select a Pokemon" aria-label="Make your guess"
                                        matInput [formControl]="myControl" [matAutocomplete]="auto"
                                        (keyup.enter)="onClickGuess()" name="poketext" id="poketext"
                                        [(ngModel)]="poketext">
                                    <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
                                        <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
                                            {{option}}
                                        </mat-option>
                                    </mat-autocomplete>
                                </mat-form-field>
                            </form>
                            <button mat-raised-button color="red" (click)="onClickGuess()">Guess</button>
                        </div>
                        <div style="display:flex; flex-direction:row;">
                            <button mat-raised-button color="blue" [hidden]="!noTypeHint"
                                (click)="onClickTypingHint()">Show
                                typing</button>
                            <p [hidden]="noTypeHint" class="text">{{pokemonType$ | async}}</p>
                        </div>
                    </div>
                    <div style="margin-left:30px">
                        <p>CORRECT GUESSES</p>
                        {{correctGuesses}}
                    </div>
                </div>
            </mat-card>
        </mat-grid-tile>
    </mat-grid-list>
</div>

<div [hidden]="hideGuessButton">
    <mat-grid-list cols="2" rowHeight="2:1" style="padding-top: 30px;">
        <mat-grid-tile>
            <div class="tile-blue" style="display: flex; justify-content: center; margin-left: 100px;">
                <img [src]="sprite$|async" height="50%" alt="">
            </div>
        </mat-grid-tile>
        <mat-grid-tile style="margin-left:-100px;">
            <img src="assets/images/logo.png" height="80%">
        </mat-grid-tile>
        <mat-grid-tile [colspan]="2">
            <mat-card class="card">
                <div [hidden]="!correctGuess">
                    <p>{{"Your guess was correct"}}</p>
                    <p>{{noTypeHint ? "You did not use a hint, good job!" : "You used a hint"}}</p>
                </div>
                <div [hidden]="correctGuess">
                    <p>{{"You guessed "+poketext+", the correct pokemon was "+pokemon}}</p>
                </div>
                <button mat-raised-button color="red" (click)="onClickNext()">Next pokemon</button>
            </mat-card>
        </mat-grid-tile>
    </mat-grid-list>
</div>